<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>cn.ey.biz</groupId>
        <artifactId>biz-module-system</artifactId>
        <version>${revision}</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <artifactId>biz-module-external-api</artifactId>
    <version>1.0.0.7</version>
    <packaging>jar</packaging>

    <name>${project.artifactId}</name>
    <description>
        外部对接接口
    </description>

    <dependencies>
    	<dependency>
            <groupId>cn.ey.biz</groupId>
            <artifactId>biz-common</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-starter-openfeign</artifactId>
            <optional>true</optional>
        </dependency>
        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-starter-loadbalancer</artifactId>
        </dependency>
        
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>

        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
        </dependency>

        <dependency>
            <groupId>com.google.guava</groupId>
            <artifactId>guava</artifactId>
        </dependency>

        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>fastjson</artifactId>
        </dependency>

        <dependency>
            <groupId>io.github.openfeign</groupId>
            <artifactId>feign-httpclient</artifactId>
        </dependency>

		<dependency>
			<groupId>commons-io</groupId>
			<artifactId>commons-io</artifactId>
			<version>2.7</version>
		</dependency>
		
		<!-- 数据中台依赖sdk -->
		<dependency>
		    <groupId>com.aliyun.api.gateway</groupId>
		    <artifactId>sdk-core-java</artifactId>
		    <version>1.1.0</version>
		</dependency>
		<dependency>
		    <groupId>com.alibaba.dt</groupId>
		    <artifactId>dataphin-sdk-core-java</artifactId>
		    <version>v3.0.0</version>
		</dependency>
    </dependencies>

</project>
